Help us improve CoreWeave documentation. Take the docs survey.
curl --request PATCH \
--url https://api.coreweave.com/v1beta1/networking/vpcs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"updateMask": "<string>",
"vpcPrefixes": [
{
"name": "<string>",
"value": "<string>"
}
],
"ingress": {
"disablePublicServices": true
},
"egress": {
"disablePublicAccess": true
},
"dhcp": {
"dns": {
"servers": [
"<string>"
]
}
}
}
'{
"vpc": {
"name": "<string>",
"zone": "<string>",
"id": "<string>",
"vpcPrefixes": [
{
"name": "<string>",
"value": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "STATUS_AVAILABLE"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hostPrefix": "<string>",
"hostPrefixes": [
{
"name": "<string>",
"prefixes": [
"<string>"
],
"type": "PRIMARY",
"ipam": {
"prefixLength": 123,
"gatewayAddressPolicy": "EUI64"
}
}
],
"ingress": {
"disablePublicServices": true
},
"egress": {
"disablePublicAccess": true
},
"dhcp": {
"dns": {
"servers": [
"<string>"
]
}
},
"status": "STATUS_CREATING"
}
}Update selected fields on a CoreWeave VPC using a field mask.
curl --request PATCH \
--url https://api.coreweave.com/v1beta1/networking/vpcs/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"updateMask": "<string>",
"vpcPrefixes": [
{
"name": "<string>",
"value": "<string>"
}
],
"ingress": {
"disablePublicServices": true
},
"egress": {
"disablePublicAccess": true
},
"dhcp": {
"dns": {
"servers": [
"<string>"
]
}
}
}
'{
"vpc": {
"name": "<string>",
"zone": "<string>",
"id": "<string>",
"vpcPrefixes": [
{
"name": "<string>",
"value": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "STATUS_AVAILABLE"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hostPrefix": "<string>",
"hostPrefixes": [
{
"name": "<string>",
"prefixes": [
"<string>"
],
"type": "PRIMARY",
"ipam": {
"prefixLength": 123,
"gatewayAddressPolicy": "EUI64"
}
}
],
"ingress": {
"disablePublicServices": true
},
"egress": {
"disablePublicAccess": true
},
"dhcp": {
"dns": {
"servers": [
"<string>"
]
}
},
"status": "STATUS_CREATING"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
Use this file to discover all available pages before exploring further.
https://api.coreweave.com.{API_ACCESS_TOKEN} with your CoreWeave API access token.updateMask
field, to specify which fields to modify. When updateMask is
omitted, all fields in the request body are updated. For more
information on field masks, see the
Google AIP-157 guidance.
The valid updateMask field paths are:
vpcPrefixesingress.disablePublicServicesegress.disablePublicAccessdhcp.dns.serversingress
or dhcp — is invalid; the server silently ignores the
request and makes no changes.
curl -X PATCH https://api.coreweave.com/v1beta1/networking/vpcs/{id} \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {API_ACCESS_TOKEN}" \
-d @data.json
CoreWeave API access token sent as a bearer token.
The unique identifier for the VPC.
The unique identifier for the VPC.
A field mask specifying which fields to update. Valid paths are vpcPrefixes, ingress.disablePublicServices, egress.disablePublicAccess, and dhcp.dns.servers. Any other path (including top-level paths like ingress or dhcp) is silently ignored. When omitted, all fields in the request body are updated. See Google AIP-157.
An array of additional prefixes associated with the VPC. Must be given in CIDR notation.
Show child attributes
The ingress configuration of the VPC.
Show child attributes
The egress configuration of the VPC.
Show child attributes
The DHCP configuration of the VPC.
Show child attributes
OK
The VPC.
Show child attributes
Was this page helpful?